Package wx :: Class Panel

[frames | no frames]

## Type Panel

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        Panel

Known Subclasses:
  `AuiMDIChildFrame`, `ButtonTreeCtrlPanel`, `DocTabbedChildFrame`, `EditableListBox`, `FileBrowseButton`, `FlatNotebook`, `FloatCanvas`, `FoldPanelBar`, `FoldPanelItem`, `GeneralOptionsPanel`, `NavCanvas`, `NotebookPage`, `PageContainer`, `PlotCanvas`, `PreviewControlBar`, `PyColourBox`, `PyColourChooser`, `PyPanel`, `PyShell`, `PyShellInput`, `PyShellOutput`, `ScrolledWindow`, `VScrolledWindow`, `WizardPage`

Proxy of C++ Panel class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
| ``SetFocusIgnoringChildren`(self)` In contrast to `SetFocus` (see above) this will set the focus to the panel even of there are child windows in the panel.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxTAB_TRAVERSAL|wxNO_BORDER, name=PanelNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Window.__init__` (inherited documentation)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxTAB_TRAVERSAL|wxNO_BORDER, name=PanelNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Window.Create`

### SetFocusIgnoringChildren(self)

In contrast to `SetFocus` (see above) this will set the focus to the panel even of there are child windows in the panel. This is only rarely needed.

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:47 2007 | http://epydoc.sf.net